8 votes

A vulnerability has been found in the ROM of the Intel Converged Security and Management Engine

1 comment